  

#include "IO.h"
#include "I2C.h"
#include "PWM.h"
#include "ADC.h"
#include <avr\io.h>
#include <avr/interrupt.h>


// TODO: 
// - Test overcurrent 
// Rs: U =~0.6V, Ipk ~ 0.8A -> R=0,625R = ~ 1,2R//1,2R
// Mglichkeiten: 1R;1R2;1R5
//
//  - 1R//1R   = 0R5    1.2A @ 0.6V     1.4A  0.7V
//  - 1R//1R2  = 0R55   1.1A @ 0.6V     1.3A  0.7V
//  - 1R//1R5  = 0R6    1.0A @ 0.6V     1.2A  0.7V
//  - 1R2//1R2 = 0R6    1.0A @ 0.6V     1.2A  0.7V
//  - 1R2//1R5 = 0R67   0.9A @ 0.6V     1.0A  0.7V
//  - 1R5//1R5 = 0R75   0.8A @ 0.6V     0.9A  0.7V




//int main(void) __attribute__((noreturn));
int main(void)
{



// INIT
ADC_INIT();
PWM_INIT();
IO_Init();
CTRL_RELONOFF_ON;
PWM_Flagreg|=PWM_Flag_CTRL_ON;
I2C_INIT();

//*** RUN ***//
asm("sei;");
while(1)
{
  ADC_POT_Task();
  IO_Switch_Task();
  I2C_TASK();
}
}
/***************************************************************************/
/*
Versions:
V 2.0










*/
